Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another proces
#1
0
a więc używam sobie komputera normalnie pisze że mam updaty to wpisuje
Kod:
sudo apt upgrade
i od tego momentu wyrzuca mi ciągle taki błąd przy instalowaniu i aktualizacji

Kod:
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Odczytywanie bazy danych ... 426539 plików i katalogów obecnie zainstalowanych.
)
Usuwanie pakietu grub-gfxpayload-lists (0.7) ...
dpkg: grub-pc: problemy z zależnościami, usuwanie według żądania:
grub-efi-amd64-signed zależy od grub-efi-amd64 | grub-pc; jednakże:
  Pakiet grub-efi-amd64 nie jest zainstalowany.
  Pakiet grub-pc jest przeznaczony do usunięcia.

Usuwanie pakietu grub-pc (2.04-1ubuntu26.9) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another p
rocess: Resource temporarily unavailable
dpkg: błąd przetwarzania pakietu grub-pc (--remove):
podproces zainstalowany pakiet grub-pc skrypt pre-removal zwrócił kod błędu 1
dpkg: zbyt wiele błędów, zatrzymanie
Wystąpiły błędy podczas przetwarzania:
grub-pc
Przetwarzanie zostało zatrzymane z powodu wystąpienia zbyt wielu błędów.
E: Sub-process /usr/bin/dpkg returned an error code (1)


Kod:
[email protected]:~$ sudo apt --fix-broken install
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności     
Odczyt informacji o stanie... Gotowe
Naprawianie zależności... Gotowe
The following additional packages will be installed:
  grub-gfxpayload-lists
Zostaną zainstalowane następujące NOWE pakiety:
  grub-gfxpayload-lists
0 aktualizowanych, 1 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
2 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 3 658 B archiwów.
Po tej operacji zostanie dodatkowo użyte 48,1 kB miejsca na dysku.
Kontynuować? [T/n] t
Pobieranie:1 http://archive.ubuntu.com/ubuntu focal/main amd64 grub-gfxpayload-lists amd64 0.7 [3 658 B]
Pobrano 3 658 B w 0s (11,5 kB/s)                     
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
Wybieranie wcześniej niewybranego pakietu grub-gfxpayload-lists.
(Odczytywanie bazy danych ... 426528 plików i katalogów obecnie zainstalowanych.
)
Przygotowywanie do rozpakowania pakietu .../grub-gfxpayload-lists_0.7_amd64.deb
...
Rozpakowywanie pakietu grub-gfxpayload-lists (0.7) ...
Konfigurowanie pakietu grub-gfxpayload-lists (0.7) ...
Konfigurowanie pakietu grub-pc (2.04-1ubuntu26.9) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another p
rocess: Resource temporarily unavailable
dpkg: błąd przetwarzania pakietu grub-pc (--configure):
podproces zainstalowany pakiet grub-pc skrypt post-installation zwrócił kod błę
du 1
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie pakietu grub-efi-a
md64-signed:
grub-efi-amd64-signed zależy od grub-efi-amd64 | grub-pc; jednakże:
  Pakiet grub-efi-amd64 nie jest zainstalowany.
  Pakiet grub-pc nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania pakietu grub-efi-amd64-signed (--configure):
problemy z zależnościami - pozostawianie nieskonfigurowanego
Przetwarzanie wyzwalaczy pakietu man-db (2.9.1-1)...
Wystąpiły błędy podczas przetwarzania:
grub-pc
grub-efi-amd64-signed
E: Sub-process /usr/bin/dpkg returned an error code (1)


Kod:
[email protected]:~$ sudo dpkg --configure -a
Konfigurowanie pakietu grub-pc (2.04-1ubuntu26.9) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: błąd przetwarzania pakietu grub-pc (--configure):
podproces zainstalowany pakiet grub-pc skrypt post-installation zwrócił kod błędu 1
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie pakietu grub-efi-amd64-signed:
grub-efi-amd64-signed zależy od grub-efi-amd64 | grub-pc; jednakże:
  Pakiet grub-efi-amd64 nie jest zainstalowany.
  Pakiet grub-pc nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania pakietu grub-efi-amd64-signed (--configure):
problemy z zależnościami - pozostawianie nieskonfigurowanego
Wystąpiły błędy podczas przetwarzania:
grub-pc
grub-efi-amd64-signed

dedito: proszę stosować znaczniki kodu

Dodano po pewnym czasie:
Wątek można zamknąć, naprawiłem to w taki sposób:

Kod:
[email protected]:~$ sudo fuser -v /var/cache/debconf/config.dat
                    UŻYTKOWNIK  PID DOSTĘP POLECENIE
/var/cache/debconf/config.dat:
                    root      6318 F.... frontend
[email protected]:~$ sudo kill 6318
[email protected]:~$ sudo apt upgrade


Skocz do:




Użytkownicy przeglądający ten wątek: 1 gości